
CoCoA-5 - Bug #423

Emacs UI: semicolon does not work in emacs-24.3

22 Jan 2014 16:23 - John Abbott

Status: Closed Start date: 22 Jan 2014

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: EmacsUI Estimated time: 1.00 hour

Target version: CoCoA-5.0.9 Spent time: 1.00 hour

Description

The current cocoa5 emacs code does not work well in emacs 24.3.

Try creating a new file.cocoa5 and type into it:

1+1;

You will find that the ; key produces an error:

electric-cocoa5-semi-or-dot: Symbol's value as variable is void: last-command-char

 

Fix it!

History

#1 - 23 Jan 2014 13:47 - Anna Maria Bigatti

Solved (luckily easier than I feared).

Replaced last-command-char with last-command-event

tested on emacs 22, 23, 24

#2 - 24 Jan 2014 11:51 - John Abbott

- Category set to EmacsUI

- Status changed from New to Feedback

- Assignee set to Anna Maria Bigatti

- % Done changed from 0 to 90

Using lastest CVS, a quick test passed fine on my machine --> changing state to "feedback".

#3 - 21 Feb 2014 12:39 - John Abbott

- Status changed from Feedback to Closed

- Target version set to CoCoA-5.0.9

- % Done changed from 90 to 100

No problems over the last month (incl. plenty of use).

So closing.

#4 - 02 Apr 2014 18:34 - Anna Maria Bigatti
- Estimated time set to 1.00 h
